DCMTK: DcmQuantPixelBoxArray Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | Private Attributes | List of all members
DcmQuantPixelBoxArray Class Reference

helper class for the Median Cut algorithm. More...

## Public Member Functions
| DcmQuantPixelBoxArray (unsigned long entries)
| constructor.
| ~DcmQuantPixelBoxArray ()
| destructor
DcmQuantPixelBox & | operator[] (size_t idx)
| looks up an array element
void | sort (unsigned long boxes)
| sorts the given number of pixel boxes in the array, starting with the first array element.

## Private Member Functions
| DcmQuantPixelBoxArray (const DcmQuantPixelBoxArray &src)
| private undefined copy constructor
DcmQuantPixelBoxArray & | operator= (const DcmQuantPixelBoxArray &src)
| private undefined copy assignment operator

## Private Attributes
DcmQuantPixelBoxPointer * | array
| array of pixel boxes
unsigned long | length
| number of elements in array

## Detailed Description

helper class for the Median Cut algorithm.

An object of this class maintains an array of pixel boxes which is used to determine a color look-up table of given size for a true color image.

## Constructor & Destructor Documentation

## ◆ DcmQuantPixelBoxArray()

DcmQuantPixelBoxArray::DcmQuantPixelBoxArray | ( | unsigned long | entries | ) |

constructor.

Creates an array with the given number of pixel boxes.

Parameters

  entries | number of entries in array, must be > 0.

Referenced by DcmQuantPixelBoxArray(), and operator=().

## Member Function Documentation

## ◆ operator[]()

DcmQuantPixelBox & DcmQuantPixelBoxArray::operator[] | ( | size_t | idx | ) |
| inline

looks up an array element

Parameters

  idx | index, must be smaller than the number of entries with which this object was initialized

Returns
  non-const reference to DcmQuantPixelBox struct

References array, and length.

## ◆ sort()

void DcmQuantPixelBoxArray::sort | ( | unsigned long | boxes | ) |

sorts the given number of pixel boxes in the array, starting with the first array element.

The boxes are sorted in decreasing order of the "sum" member.

Parameters

  boxes | number of boxes to sort, must be <= entries.

The documentation for this class was generated from the following file:

- dcmimage/include/dcmtk/dcmimage/diqtpbox.h

Generated on Wed Apr 30 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2